core::PersistentCache< K, V, M >::Data Struct Reference

Simple pair of value and metadata. More...

`#include <core/persistent_cache.h>`

## Public Attributes

V | value
| Stores the value of an entry.
M | metadata
| Stores the metadata of an entry. If no metadata exists for an entry, metadata is returned as the empty string when it is retrieved.

## Detailed Description

template<typename K, typename V, typename M = std::string>
struct core::PersistentCache< K, V, M >::Data

Simple pair of value and metadata.

## Member Data Documentation

## metadata

template<typename K, typename V, typename M = std::string>

M core::PersistentCache< K, V, M >::Data::metadata

Stores the metadata of an entry. If no metadata exists for an entry, metadata is returned as the empty string when it is retrieved.

## value

template<typename K, typename V, typename M = std::string>

V core::PersistentCache< K, V, M >::Data::value

Stores the value of an entry.

The documentation for this struct was generated from the following file:

- persistent_cache.h